(*====================================================================
    File rbuttons.pas

    Components library for Delphi and BCB++.
    TrBitBtn.

    Copyright  1998-2008, PSTG
    http://www.polesoft.ru
    mailto:support@polesoft.ru

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

======================================================================
$Id: rButtons.pas,v 1.2 2008/09/05 09:00:45 savchenko Exp $
======================================================================*)
unit rButtons;

{$I POLARIS.INC}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Buttons, rUtils, rVCLUtils;

type
  TCustomRBitBtn = class(TBitBtn)
  private
    FGlyphResKind: TBitmapResKind;
    FGlyphResource: string;
    function IsGlyph: Boolean;
    procedure SetGlyphResKind(Value: TBitmapResKind);
    procedure SetGlyphResource(Value: string);
  protected
    property GlyphResKind:  TBitmapResKind read FGlyphResKind write SetGlyphResKind
                                           default DefBRK;
    property GlyphResource: string read FGlyphResource write SetGlyphResource;
    procedure Loaded; override;
  public
    constructor Create(AOwner: TComponent); override;
  published
    property Glyph stored IsGlyph;
  end;

  TrBitBtn = class(TCustomRBitBtn)
  published
    property Align;
    property GlyphResKind;
    property GlyphResource;
  end;

implementation

{ TCustomRBitBtn }

constructor TCustomRBitBtn.Create(AOwner: TComponent);
begin
  inherited;
  FGlyphResKind := DefBRK;
end;

function TCustomRBitBtn.IsGlyph;
begin
  Result := ((FGlyphResKind = rkNone) or (Trim(FGlyphResource) = '')) and (Kind = bkCustom);
end;

procedure TCustomRBitBtn.SetGlyphResource;
begin
  if FGlyphResource <> Value then begin
    FGlyphResource := Value;
    UpdateGlyph(Self, Glyph, FGlyphResKind, FGlyphResource);
  end;
end;

procedure TCustomRBitBtn.SetGlyphResKind;
begin
  if FGlyphResKind <> Value then begin
    FGlyphResKind := Value;
    UpdateGlyph(Self, Glyph, FGlyphResKind, FGlyphResource);
  end;
end;

procedure TCustomRBitBtn.Loaded;
begin
  inherited;
  UpdateGlyph(Self, Glyph, FGlyphResKind, FGlyphResource);
end;

end.
