(*====================================================================
    File rConst.pas

    Components library for Delphi, Kylix and BCB++.
    String resources.

    Copyright  1998-2008, PSTG
    http://www.polesoft.ru
    mailto:support@polesoft.ru

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

======================================================================
$Id: rConst.pas,v 1.7 2008/04/29 07:01:02 ariafan Exp $
======================================================================*)
unit rConst;

{$I POLARIS.INC}

interface

resourcestring
// don't localize
  srHelpFile = 'PSCOMP.HLP';

// don't localize
  srPeriodGlyph = 'PERIOD_BTN';

  srEHConsts   = '<CONSTANTS>';
  srEHMessage  = '<MESSAGE>';
  srEHDefault  = '<DEFAULT>';
  srEHLogging  = '<LOGGING>';
  srOSErrorTitle = ' :';
  srOSErrorDesc  = '  %d: %s';
  srIOErrorTitle = ' /:';
  srIOErrorDesc  = ' / %d: %s';
  srRangeErrorTitle= '    :';
  srConvErrorTitle= '  :';
  srConvErrorMes  = '%s\r\r      ,\r   .';
  srUnkErrorTitle = '  :';
  srUnkErrorMes   = '%s\r\r     ,\r   .';
  srUnkErrorDesc  = ' %s: %s';
  srLogError   = '    :\r%s';
  srEHUser     = ': %s, : %s';
  srEHProgram  = ': %s (%s)';
  srEHModule   = ': %s (%s)';
  srEHForm     = ': %s, %s';
  srEHControl  = ': %s';
  srEHSummary  = '& <<';
  srEHDetail   = '& >>';

  srLaunchNotFound = ' ''%s''  .';
  srLaunchNotExe   = ' ''%s''   .';
  srLaunchNoWorkDir= '   (%s).';

  srFormCancel = '    .\n   OK   .';
  srNewN = '';
  srNewM = '';
  srNewF = '';
  srNewP = '';
  sr0     = '';
  sr1     = ',,,';
  sr2     = ',,,';
  sr3     = ',,,';
  sr4     = ',,,';
  sr5     = ',,,';
  sr6     = ',,,';
  sr7     = ',,,';
  sr8     = ',,,';
  sr9     = ',,,';
  sr10    = ',,,';
  sr11    = '';
  sr12    = '';
  sr13    = '';
  sr14    = '';
  sr15    = '';
  sr16    = '';
  sr17    = '';
  sr18    = '';
  sr19    = '';
  sr20    = '';
  sr30    = '';
  sr40    = '';
  sr50    = '';
  sr60    = '';
  sr70    = '';
  sr80    = '';
  sr90    = '';
  sr100   = '';
  sr200   = '';
  sr300   = '';
  sr400   = '';
  sr500   = '';
  sr600   = '';
  sr700   = '';
  sr800   = '';
  sr900   = '';

  // N - Neuter, M - Male, F - Female, P - Plural
  srGenders = 'NMFP';

  sr10_12 = 'M,,,o';
  sr10_9  = 'M,,,';
  sr10_6  = 'M,,,';
  sr10_3  = 'F,,,';

  srRuble  = 'M,,,';
  srCopeck = 'F,,,';
  srDollar = 'M,,,';
  srCent   = 'M,,,';

// don't localize
  srVIComp  = 'CompanyName';
  srVIFDesc = 'FileDescription';
  srVIFVer  = 'FileVersion';
  srVIInt   = 'InternalName';
  srVICprt  = 'LegalCopyright';
  srVITM    = 'LegalTrademarks';
  srVIFile  = 'OriginalFilename';
  srVIProd  = 'ProductName';
  srVIProdV = 'ProductVersion';
  srVIComm  = 'Comments';
  srVIEmail = 'E-Mail';
  srVIHome  = 'HomePage';

  srBkgndPic  = '  ';
  srBkgndHeit = '  ''%d''';
  srBkgndBind = '    TForm   .';
  srBkgndSlit = '_Splitters';
  srBkgndTool = '_ToolBars';

  srPeriodErr  = '         .';
  srPeriodPrefix = '';
  srPeriodYear = '%s%d ';
  srPeriodHalfYear = '%s%s  %d ';
  srPeriodQrt  = '%s%s  %d ';
  srPeriodMon  = '%s%s %d ';
  srPeriodDay  = '%s%s';
  srPeriodCustom = '%s - %s';
  srPeriodCustomPrfx = ' %s  %s';

  srSepError = '  rspDivider  Align    alNone  alClient.';

// srWin1251 is deprecated, use srWin instead
  srWin1251    = '' {$IFDEF POLARIS_D6}deprecated{$ENDIF};
// srWin1251Lat is deprecated, use srWinLat instead
  srWin1251Lat = 'ejcukengsszh_fivaproldjejcsmit_buEJCUKENGSSZH_FIVAPROLDJEJCSMIT_BU' {$IFDEF POLARIS_D6}deprecated{$ENDIF};
  srWin    = '';
  srWinLat = 'ejcukengsszh_fivaproldjejcsmit_buEJCUKENGSSZH_FIVAPROLDJEJCSMIT_BU';
  srKoi8   = '';
  srISO    = 'úɷ˲̱';
  srOEM    = '㪥뢠஫ᬨ';
  srMac    = '݉';

  srVersionFormatError = '  .';

  srDLLLoadError = '   ''%s''.';
  srDLLChangeNameError = '     .';
  srDLLCheckRequiredError = '      ''%s''.';
  srDLLCheckVersionError = '   "%s"   %s.';
  srDLLVersionFormatError = '   .';

  srPlugSetCaption = '  ';
  srPluginNotFound = '     "%s"   "%s".';
  srUnknownCommandCode = ' , : %d';
  srNoExtDataSet = '   DataSet.';
  srNoExtDataProc = '    .';
  srNoGetDataTypeProc = '     .';
  srMemError = ' %d   .';
  srIFaceNotSupported = ' "%s"  .';
  srNoInterface = '  %s.';
  srCapabilityNotSupported = '  .';
  srBadParams = '  .';
  srNoRegistrySupported = '       .';
  srBadPropertyValue = '  "%s"  .';
  srUnknownError = ' %d.';

  srConnectRes  = 'CONNECT';     // don't localize
  srResourceValue  = 'Resource'; // for registry only
  srUserValue   = 'User';        // for registry only
  srConnectDialog = '';
  srConnectResource = '&:';
  srConnectUser     = '&:';
  srConnectPassword = '&:';
  // params
  srpResourceName       = 'Resource_Name';
  srpUserName           = 'User_Name';
  srpPassword           = 'Password';

  srChecked      = ' %s';
  srCheckedMulti = ' %s';

implementation
end.