(*====================================================================
    File rIBXUtils.pas

    Components library for Delphi and BCB++.
    Procedures, functions and types
    for working with database with IBX.

    Copyright  1998-2008, PSTG
    http://www.polesoft.ru
    mailto:support@polesoft.ru

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

======================================================================
$Id: rIBXUtils.pas,v 1.2 2008/09/05 09:00:45 savchenko Exp $
======================================================================*)

unit rIBXUtils;

interface

uses SysUtils, rDBConst, IBDataBase, IBQuery;

function IBXSysDate(ADatabase: TIBDataBase; WithTime: Boolean): TDateTime;

implementation

function IBXSysDate(ADatabase: TIBDataBase; WithTime: Boolean): TDateTime;
var
  a: Boolean;
begin
  a := ADatabase.DefaultTransaction.Active;
  if not a then ADatabase.DefaultTransaction.StartTransaction();
  try
    with TIBQuery.Create(nil) do
      try
        Database := ADatabase;
        SQL.Text := srSQLIBSysDate;
        Open;
        Result := Fields[0].AsDateTime;
        if not WithTime then
          Result := StrToDate(DateToStr(Result));
        Close;
      finally
        Free;
      end;
  finally
    if not a then
      ADatabase.DefaultTransaction.Rollback();
  end;
end;

end.
